<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <title>Recap</title>
    <meta name="description" content="Recap for the Course Big Data Tools for Advanced Professionals">
    <meta name="author" content="Ole Mussmann">

    <link rel="icon" type="image/x-icon" href="./files/favicon-32x32.png">

    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" href="dist/reset.css">
    <link rel="stylesheet" href="dist/reveal.css">

    <!-- theme -->
    <link rel="stylesheet" href="dist/theme/black.css" id="theme">
    <link rel="stylesheet" href="dist/theme/escience_5.1.0.css" id="theme">

    <!-- fonts -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Assistant:wght@200..800&family=Fira+Code:wght@300..700&family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap">
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

    <!-- Theme used for syntax highlighted code -->
    <link rel="stylesheet" href="plugin/highlight/monokai.css">

    <!-- Load jQuery -->
    <script
      src="https://code.jquery.com/jquery-3.4.1.min.js"
      integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
      crossorigin="anonymous"></script>
    <script src="http://localhost:35729/livereload.js"></script>

  </head>
  <body>
    <div class="reveal">
      <div class="slides">

        <section data-state="blue_overlay yellow_flag yellow_strip purple_half_circle_bottom purple_blob right_e_top" data-background-video="./files/Mood video Homepage 2.mp4" data-background-video-loop data-background-video-muted="true" data-markdown>
          # Recap
        </section>

        <section>
          <section data-state="purple_overlay yellow_flag logo" data-background="./files/server-1235959_1280.jpg" data-markdown>
            <!-- Image by <a href="https://pixabay.com/users/colossuscloud-2086276/?utm_source=link-attribution&utm_medium=referral&utm_campaign=image&utm_content=1235959">Colossus Cloud</a> from <a href="https://pixabay.com//?utm_source=link-attribution&utm_medium=referral&utm_campaign=image&utm_content=1235959">Pixabay</a> -->
            <textarea data-template>
              ## If you have _one_ computer, would you run Spark or compute "traditionally"?
            </textarea>
          </section>

          <section data-state="standard" data-background="./files/files-1614223_1280.jpg" data-markdown>
            <!-- Image by <a href="https://pixabay.com/users/myrfa-3126475/?utm_source=link-attribution&utm_medium=referral&utm_campaign=image&utm_content=1614223">Ag Ku</a> from <a href="https://pixabay.com//?utm_source=link-attribution&utm_medium=referral&utm_campaign=image&utm_content=1614223">Pixabay</a> -->
            <textarea data-template>
              ## Is it preferrable to do filtering on an RDD or on collected data?
            </textarea>
          </section>

          <section data-state="blue_overlay yellow_flag logo" data-background="./files/container-4203677_1280.jpg" data-markdown>
            <!-- Image by <a href="https://pixabay.com/users/valdasmiskinis-12049839/?utm_source=link-attribution&utm_medium=referral&utm_campaign=image&utm_content=4203677">Valdas Miskinis</a> from <a href="https://pixabay.com//?utm_source=link-attribution&utm_medium=referral&utm_campaign=image&utm_content=4203677">Pixabay</a> -->
            <textarea data-template>
              ## How do containers and virtual machines (VMs) differ?
            </textarea>
          </section>

          <section data-state="black_overlay 6 yellow_flag logo" data-background="./files/cave-912219_1280.jpg" data-markdown>
            <!-- Image by <a href="https://pixabay.com/users/8385-8385/?utm_source=link-attribution&utm_medium=referral&utm_campaign=image&utm_content=912219">8385</a> from <a href="https://pixabay.com//?utm_source=link-attribution&utm_medium=referral&utm_campaign=image&utm_content=912219">Pixabay</a> -->
            <textarea data-template>
              ## What are common pitfalls of (Jupyter) notebooks?
            </textarea>
          </section>

          <section data-state="blue_overlay yellow_flag logo" data-background="./files/mathematics-757566_1280.jpg" data-markdown>
            <!-- Image by <a href="https://pixabay.com/users/geralt-9301/?utm_source=link-attribution&utm_medium=referral&utm_campaign=image&utm_content=757566">Gerd Altmann</a> from <a href="https://pixabay.com//?utm_source=link-attribution&utm_medium=referral&utm_campaign=image&utm_content=757566">Pixabay</a> -->
            <textarea data-template>
              ## What are benefits of Functions as a Service (FaaS)?
            </textarea>
          </section>
        </section>

      </div>
    </div>

    <script src="dist/reveal.js"></script>

    <script src="plugin/highlight/highlight.js"></script>
    <script src="plugin/markdown/markdown.js"></script>
    <script src="plugin/math/math.js"></script>
    <script src="plugin/notes/notes.js"></script>
    <script src="plugin/search/search.js"></script>
    <script src="plugin/zoom/zoom.js"></script>
    <!--
    <script src="reveal.js/4.3.1/reveal.js-plugins/menu/menu.js"></script>
    -->

    <script src="dist/theme/escience_5.1.0.js"></script>

    <script>
      // More info about initialization & config:
      // - https://revealjs.com/initialization/
      // - https://revealjs.com/config/
      Reveal.initialize({
        hash: true,

        // Automatically activate the scroll view when we the viewport falls
        // below the given width.
        scrollActivationWidth: 0,  // disabled

        // Force the scrollbar to remain visible
        scrollProgress: true,

        // Learn about plugins: https://revealjs.com/plugins/
        plugins: [ RevealMarkdown, RevealHighlight, RevealNotes ]
      });
    </script>
  </body>
</html>
